Subject: What vitamin or supplement can I take to increase my energy? I already take B12?
From: Quora Digest <[email-masked]>
To: [email-masked]
Date: Fri, 10 Jul 2020 00:30:16 +0000

Adithya's Digest
Your Quora Digest

-----

Question: What vitamin or supplement can I take to increase my energy? I already take B12.

Answer from Angele Roy

If B vitamins just aren’t doing it, it could be your mitochondria. Your mitochondria are like the batteries that power your cells. To do anything we need the energy producing 
Read More: http://www.quora.com/What-vitamin-or-supplement-can-I-take-to-increase-my-energy-I-already-take-B12?top_ans=86049611
-----
Question: What would you do if your 16-year-old son wanted to cuddle with you?

Answer from Emily Doyle

My brother, sister, and I moved quite a bit of miles away from my parents.

2–3 times a year we usually get back together.

Our favorite activity during those occasions is whe
Read More: http://www.quora.com/What-would-you-do-if-your-16-year-old-son-wanted-to-cuddle-with-you?top_ans=199640281
-----
Question: As an air hostess, what was the sleaziest comment or act a passenger said/did, and how have you dealt with it?

Answer from Susan Brown

(Photo: iStock)

I have experienced some crazy, outrageous and creepy behaviors from passengers. The experience that I am about to share, is one of many stories. But this was 
Read More: http://www.quora.com/As-an-air-hostess-what-was-the-sleaziest-comment-or-act-a-passenger-said-did-and-how-have-you-dealt-with-it?top_ans=195545567
-----
Question: If it’s all about calories in vs calories out, why does the skinny person who doesn’t workout but eats 5000 calories a day not gain weight?

Answer from Randy Fulford

Thanks for the A2A.

Try not to overthink this.

If a “skinny person” eats 5000 calories per day but does not gain weight, it’s because they are also burning 5000 calories a d
Read More: http://www.quora.com/If-it-s-all-about-calories-in-vs-calories-out-why-does-the-skinny-person-who-doesn-t-workout-but-eats-5000-calories-a-day-not-gain-weight?top_ans=177597533
-----
Question: What do you do to please your husband?

Answer from Poonam Desai

Unlike other husbands, my husband is a piece of work. He never gets angry, disturbed, hurt or irritated, similarly, he never gets pleased.

Initial days of my marriage, as it 
Read More: http://www.quora.com/What-do-you-do-to-please-your-husband?top_ans=194883260
-----
Question: At what age must we stop running to protect our knees from eroding?

Answer from Sophie Liu

Thanks for the A2A! Now let’s get started with the answer:

In summary, every body is different so it really depends on how an individual’s exercise regiment is oriented. At t
Read More: http://www.quora.com/At-what-age-must-we-stop-running-to-protect-our-knees-from-eroding?top_ans=90438871
-----
Question: Is it better to eat before or after weight training?

Answer from Angela Dimos

It all really depends on your intention for weight training. Are you wanting to build more muscle, or are you trying get lean? Someone that want’s to only build mass, will hav
Read More: http://www.quora.com/Is-it-better-to-eat-before-or-after-weight-training?top_ans=198896233
-----
Question: Did Narendra Modi decide to withdraw the lockdown after the 15th of April? Why?

Answer from Abhijeet Kar

Q.Did Narendra Modi decide to withdraw the lockdown after the 15th of April? Why?

As per today's (2/4) video conference with all CM's, he has confirmed that LOCKDOWN will get
Read More: http://www.quora.com/Did-Narendra-Modi-decide-to-withdraw-the-lockdown-after-the-15th-of-April-Why?top_ans=206946059
-----
Question: Are cigarettes really injurious for your health?

Answer from Nitin Sharma

Let me tell you a small story, my own.

I started smoking when I was 22 years old. I am now 38.

My friend introduced me to it. He stopped a few years later sue to severe toba
Read More: http://www.quora.com/Are-cigarettes-really-injurious-for-your-health?top_ans=198075799
-----
Question: I want to buy smart phone. What is a good phone? Don’t suggest/recommend a Chinese mobile.

Answer from Sparash Sharma

Well, let us get straight to the point. First, there are BBK electronics in which, Chinese brands like

come in this category then there is Mi Xiaomi, smartphones like,

comes
Read More: http://www.quora.com/I-want-to-buy-smart-phone-What-is-a-good-phone-Don-t-suggest-recommend-a-Chinese-mobile?top_ans=219065873
-----

-----
To control which emails we send you, visit: https://www.quora.com/qemail/track_click?aoid&aoty=14&aty=4&cp=0&ct=1594341015886072&et=2&id=cd0934a538994bb28456d81d0de763b7&request_id=419747352333485547&source&src=1&st=1594341015886072&stories=1_4OL7q96GVgd%7C1_YSBMM3Rbpu1%7C1_oIIOAOd7TXj%7C1_a3gLXHbU0UA%7C1_81VT5pyqmh8%7C1_YwWJh6NX9E7%7C1_MzNmxQ78PNr%7C1_XABvskAZAPS%7C1_1n7yCHa7oty%7C1_XB4NtL2VFKF&ty&ty_data&uid=YAUh0rw6tgW&v=0

To unsubscribe from this type of email, visit: http://www.quora.com/email_optout/qemail_unsubscribe?email_track_id=cd0934a538994bb28456d81d0de763b7&t=1594341016017006&token=dc927c0c8adf40fd6b4474cc8741b8e02581069f72dd43b4b139a03adde1ef88a7454d097b3a86ba104d1c699a3db84aa1ca78436b83aa6ae4066caefc97dbb8&type=2&uid=1075494353